io.vertx.ext.web.templ.thymeleaf

## Interface ThymeleafTemplateEngine

- All Superinterfaces:
    TemplateEngine

      public interface ThymeleafTemplateEngine
      extends TemplateEngine

  A template engine that uses the Thymeleaf library. The `TemplateEngine.unwrap()` shall return an object of class `TemplateEngine`
  Author:
    Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.thymeleaf.templatemode.TemplateMode` | `DEFAULT_TEMPLATE_MODE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ThymeleafTemplateEngine` | `create(Vertx vertx)` Create a template engine using defaults
    `org.thymeleaf.TemplateEngine` | `getThymeleafTemplateEngine()` Deprecated. see `TemplateEngine.unwrap()` Get a reference to the internal Thymeleaf TemplateEngine object so it can be configured.
    `ThymeleafTemplateEngine` | `setMode(org.thymeleaf.templatemode.TemplateMode mode)` Deprecated. see `TemplateEngine.unwrap()` Set the mode for the engine

    - ### Methods inherited from interface io.vertx.ext.web.common.template.TemplateEngine

      `clearCache, render, render, render, render, unwrap`

- - ### Field Detail

    - #### DEFAULT_TEMPLATE_MODE

          static final org.thymeleaf.templatemode.TemplateMode DEFAULT_TEMPLATE_MODE

  - ### Method Detail

    - #### create

          static ThymeleafTemplateEngine create(Vertx vertx)

      Create a template engine using defaults
      Returns:
        the engine

    - #### setMode

          @Deprecated
          ThymeleafTemplateEngine setMode(org.thymeleaf.templatemode.TemplateMode mode)

      Deprecated. see `TemplateEngine.unwrap()` Set the mode for the engine
      Parameters:
        `mode` - the mode
      Returns:
        a reference to this for fluency

    - #### getThymeleafTemplateEngine

          @Deprecated
          org.thymeleaf.TemplateEngine getThymeleafTemplateEngine()

      Deprecated. see `TemplateEngine.unwrap()` Get a reference to the internal Thymeleaf TemplateEngine object so it can be configured.
      Returns:
        a reference to the internal Thymeleaf TemplateEngine instance.

Copyright © 2024 Eclipse. All rights reserved.